# (c) cavaliba.com


# -------------------------------------------------------------------
# _home Instances
# -------------------------------------------------------------------


# -- Services (100)

- classname: _home
  keyname: home
  displayname: Home Dashboard
  description: Main App
  icon: fa-home
  url: /home/private/
  order: 10
  permission: p_home_access
  _action: init


# ---

- classname: _home
  keyname: sirene
  displayname: Sirene
  description: Sirene
  icon: fa-sun-o
  url: /sirene/private/
  dashboard_section: Services
  sidebar_section: Services
  order: 20
  permission: p_sirene_access
  _action: init


- classname: _home
  keyname: sms
  displayname: SMS Sarbacane
  description: Send SMS
  icon: fa-paper-plane
  url: /sirene/private/sms/send/
  dashboard_section: Services
  sidebar_section: Services
  order: 30
  permission: p_sirene_sms_send
  _action: init


# Status Monitor
# --------------

- classname: _home
  keyname: status
  displayname: Status Monitor
  description: Status Monitor
  icon: fa-tasks
  url: /appstatus/private/
  dashboard_section: Services
  sidebar_section: Services
  order: 40
  permission: p_status_access
  _action: init


# IPAM
# -----


- classname: _home
  keyname: ipam
  displayname: IPAM
  description: IP & VLAN Management
  icon: fa-map-marker
  url: /ipam/private/
  dashboard_section: Services
  sidebar_section: Services
  order: 40
  permission: p_ipam_access
  _action: init





# ---- IAM (300)

- classname: _home
  keyname: user
  displayname: Users
  description: Users
  icon: fa-user-plus
  url: /user/private/users/
  order: 100
  dashboard_section: IAM
  sidebar_section: IAM
  permission: p_user_read
  _action: init

- classname: _home
  keyname: group
  displayname: Groups
  description: Groups
  icon: fa-users
  url: /user/private/groups/
  order: 110
  dashboard_section: IAM
  sidebar_section: IAM
  permission: p_group_read
  _action: init
  

# --- Data Management (500)

- classname: _home
  keyname: data_app
  displayname: Applications
  description: Applications
  icon: fa-firefox
  url: /data/private/c/app/list/
  dashboard_section: Data Management
  sidebar_section: Data Management
  order: 200
  permission: p_data_app_read
  _action: init


- classname: _home
  keyname: data_site
  displayname: Sites
  description: Sites
  icon: fa-hospital-o
  url: /data/private/c/site/list/
  dashboard_section: Data Management
  sidebar_section: Data Management
  order: 210
  permission: p_data_site_read
  _action: init


- classname: _home
  keyname: data_sitegroup
  displayname: Groups of Sites
  description: Groups of Sites
  icon: fa-university
  url: /data/private/c/sitegroup/list/
  dashboard_section: Data Management
  sidebar_section: Data Management
  order: 220
  permission: p_data_sitegroup_read
  _action: init


- classname: _home
  keyname: data_sirene_template
  displayname: Sirene Templates
  description: Sirene Templates
  url: /data/private/c/sirene_template/list/
  dashboard_section: Data Management
  sidebar_section: Data Management
  icon: fa-check-square
  order: 230
  permission: p_data_sirene_template_read
  _action: init

- classname: _home
  keyname: data_sirene_public
  displayname: Sirene Public
  description: Sirene Public
  url: /data/private/c/sirene_public/list/
  dashboard_section: Data Management
  sidebar_section: Data Management
  icon: fa-globe
  order: 240
  permission: p_data_sirene_public_read
  _action: init

# ...

- classname: _home
  keyname: data
  displayname: "[+] Data Management"
  description: Data Management (all)
  icon: fa-database
  url: /data/private/
  dashboard_section: Data Management
  sidebar_section: Data Management
  order: 299
  permission: p_data_access
  _action: init


    
# --- Admin (800)

- classname: _home
  keyname: conf
  displayname: Configuration
  description: Configuration Management
  icon: fa-wrench
  url: /home/private/conf/
  order: 800
  dashboard_section: Admin
  sidebar_section: Admin
  permission: p_conf_view
  _action: init

- classname: _home
  keyname: role
  displayname: Roles
  description: Roles
  icon: fa-user-secret
  url: /user/private/roles/
  order: 802
  dashboard_section: Admin
  sidebar_section: Admin
  permission: p_role_read
  _action: init

- classname: _home
  keyname: permission
  displayname: Permissions
  description: Permissions
  icon: fa-lock
  url: /user/private/permissions/
  order: 804
  dashboard_section: Admin
  sidebar_section: Admin
  permission: p_permission_read
  _action: init

- classname: _home
  keyname: apikey
  displayname: ApiKey
  description: ApiKey
  icon: fa-key
  url: /data/private/c/_apikey/list/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 806
  permission: p_apikey_read  
  _action: init
  

# Logs

- classname: _home
  keyname: log
  displayname: Logs
  description: Audit trail
  icon: fa-book
  url: /home/private/log/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 810
  permission: p_log_view
  _action: init

- classname: _home
  keyname: sms_stat
  displayname: SMS Stats
  description: SMS Stats
  icon: fa-bar-chart
  url: /sirene/private/sms/stat/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 812
  permission: p_sirene_sms_stat
  _action: init

- classname: _home
  keyname: sms_journal
  displayname: SMS Journal
  description: SMS Journal
  icon: fa-list
  url: /sirene/private/sms/journal/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 814
  permission: p_sirene_sms_journal
  _action: init

- classname: _home
  keyname: import
  displayname: Import
  description: Import tool
  icon: fa-plus
  url: /data/private/import/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 820
  permission: p_data_import
  _action: init

- classname: _home
  keyname: export
  displayname: Export
  description: Export tool
  icon: fa-minus
  url: /data/private/export/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 822
  permission: p_data_export
  _action: init

- classname: _home
  keyname: enumerate
  displayname: Enumerate
  description: Enumerate lists
  icon: fa-list
  url: /data/private/c/_enumerate/list/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 830
  permission: p_enumerate_read
  _action: init

- classname: _home
  keyname: pipeline
  displayname: Pipeline
  description: Pipeline
  icon: fa-gears
  url: /data/private/c/_pipeline/list/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 832
  permission: p_pipeline_read
  _action: init

- classname: _home
  keyname: dataview
  displayname: Dataview
  description: Dataview
  icon: fa-table
  url: /data/private/c/_dataview/list/
  dashboard_section: Admin
  sidebar_section: Admin
  order: 834
  permission: p_dataview_read
  _action: init

# Doc (900)

- classname: _home
  keyname: cavaliba
  displayname: Doc Cavaliba (Ext)
  description: Doc Cavaliba
  icon: fa-book
  url: https://cavaliba.com/docs/
  dashboard_section: Doc
  sidebar_section: Doc
  order: 860
  permission: p_home_access
  _action: init


# Internal (900)

- classname: _home
  keyname: internal
  displayname: Sirene Message
  description: Internal Schema
  icon: fa-list
  url: /data/private/c/sirene_message/list/
  dashboard_section: Internal
  sidebar_section: Internal
  order: 900
  permission: p_data_admin
  _action: init
  


